; Copyright (C) 1986 by M. J. Shannon, Jr.
; Permission to distribute for non-commercial uses granted as long as this
; notice is retained.  Violators will be prosecuted.

	title	cpu assist for mpu
	page	66,80

;These routines make up for a
;deficiency in the Lattice C library.
;Alas, messing around with the MPU-401
;requires that interrupts be turned on
;and off occasionally.  Further, using
;the BIOS directly (via int86) also
;confuses the state of interrupts.

cpu_prog	segment public para 'PROG'

	public	cli
	public	sti

	assume	cs:cpu_prog

cli	proc far

	cli
	ret

cli	endp

sti	proc far

	sti
	ret

sti	endp

cpu_prog	ends

	end
