/* Copyright (C) 1986 by M. J. Shannon, Jr.
** Permission to distribute for non-commercial uses granted as long as this
** notice is retained.  Violators will be prosecuted.
*/

#include	"mpu.h"

static unsigned char set1switch[] =
{
	0xFF,	/* MPU system exclusive */
	0xF0,	/* MIDI system exclusive */
	0x43,	/* ID: Yamaha */
	0x10,	/* Substatus/channel */
	0x08,	/* parameter group */
	0x00,	/* switch number */
	0x00,	/* switch value */
	0xF7	/* EOX */
};

void
dxswremt(sw, val)
unsigned char sw;
unsigned char val;
{
	set1switch[5] = sw;
	set1switch[6] = val;
	mpu_sexcl(set1switch);
}
